Finalize Purchase

This function is used to finalize Draft Purchases. Once finalized, Fusebill creates charges and applies them to the customer account which may trigger invoice creation and payment collection.

Note:

  1. You can choose to use the parameter ?preview=true to return a preview DTO but choosing this option will not finalize the purchase
  2. The default action of this call is to "Follow billing terms"
  3. Including the invoiceCollectionOptions object in the request payload will override the "Follow billing terms" default
Query Params
boolean

If true, then the invoice that might be generated by this request will show zero dollar charges as line items. False by default.

boolean

If true, then the invoice will be created in 'draft' form. False by default

boolean

If true, results in no system change. A preview of the purchase and the resulting invoice and charges are returned as a response. False by default

string
enum

When included and set to "sideeffects" the response will include a sideeffects object showing the resulting draft invoice

Allowed:
Body Params
int32
required

This is the ID of the Customer who has the draft purchases

purchaseIds
array of int32s
required

List of draft purchase IDs

purchaseIds*
invoiceCollectOptions
object

This can be used to provide special invoice collection instructions

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json